<%@ page language="java" %>
<%@ taglib uri="/orataglib" prefix="ora" %>

<%-- Verify that the user is logged in --%>
<ora:validateSession name="validUser"
  loginPage="login.jsp" errorMsg="Please log in first." />

<%-- Verify that it's a POST method --%>
<% if (!request.getMethod().equals("POST")) { %>
     <ora:redirect page="main.jsp" />
<% } %>

<jsp:useBean id="validUser" scope="session"
  class="com.ora.jsp.beans.emp.EmployeeBean" />

<%-- Create a new news item bean with the submitted info --%>
<jsp:useBean id="newsItem" class="com.ora.jsp.beans.news.NewsItemBean" >
  <jsp:setProperty name="newsItem" property="*" />
  <jsp:setProperty name="newsItem" property="postedBy" 
    value='<%= validUser.getFirstName() + " " +
      validUser.getLastName() %>' />
</jsp:useBean>

<%-- Make the news bean available to this page --%>
<jsp:useBean id="news" scope="application"
  class="com.ora.jsp.beans.news.NewsBean" />

<%-- Add the new news item bean to the list --%>
<jsp:setProperty name="news" property="newsItem" 
  value="<%= newsItem %>" />

<ora:redirect page="main.jsp" />
