<%@ page language="java" contentType="text/html" %>
<%@ taglib uri="/orataglib" prefix="ora" %>

<ora:useLocaleBundle id="locale" bundleName="poll" 
  supportedLangs="en, sv, de" />

<html>
  <head>
    <title>
      <ora:getLocalText name="locale" key="poll.title" />
    </title>
  </head>
  <body bgcolor="white">
    <h1>
      <ora:getLocalText name="locale" key="poll.title" />
    </h1>

    <ora:getLocalText name="locale" key="poll.select_language" />:
    <form action="poll.jsp">
      <p>
      <input type="radio" name="language" value="en"
        <%= locale.getLanguage().equals("en") ? "checked" : "" %>>
        <%= locale.getText("poll.english") %><br>
      <input type="radio" name="language" value="sv"
        <%= locale.getLanguage().equals("sv") ? "checked" : "" %>>
        <%= locale.getText("poll.swedish") %><br>
      <input type="radio" name="language" value="de"
        <%= locale.getLanguage().equals("de") ? "checked" : "" %>>
        <%= locale.getText("poll.german") %><br>
      <p>
      <input type="submit" 
        value="<ora:getLocalText name="locale" 
          key="poll.new_language" />">
    </form>

    <a href="<ora:getLocalPageName 
      name="locale" pageName="details.jsp" />">
      <ora:getLocalText name="locale" key="poll.question" />
    </a>
    <form action="calculate.jsp" method="post">
      <input type="radio" name="answerId" value="1">
      <ora:getLocalText name="locale" key="poll.answer1" />
      <br>
      <input type="radio" name="answerId" value="2">
      <ora:getLocalText name="locale" key="poll.answer2" />
      <br>
      <input type="radio" name="answerId" value="3">
      <ora:getLocalText name="locale" key="poll.answer3" />
      <p>
      <input type="submit" 
        value="<ora:getLocalText name="locale" 
          key="poll.submit" />">
    </form>
  </body>
</html>