<%@ page language="java" contentType="text/html" %>
<%@ page import="java.text.*" %>
<%@ taglib uri="/orataglib" prefix="ora" %>
<html>
  <head>
    <title>Product Catalog</title>
  </head>
  <body bgcolor="white">
    <h1>Product Catalog</h1>

    Please select a book from our catalog to read more about it and
    decide if you like to purchase a copy:

    <jsp:useBean 
      id="catalog"
      scope="application"
      class="com.ora.jsp.beans.shopping.CatalogBean"
    />

    <%-- 
      Generate a list of all products with links to the product page.
    --%>
    <ul>
      <ora:loop name="catalog" 
        property="productList" 
        loopId="product"
        className="com.ora.jsp.beans.shopping.ProductBean">
         <li>
           <a href="<ora:encodeURL url="product.jsp">
                      <ora:param name="id" 
                        value="<%= product.getId() %>"/>
                    </ora:encodeURL>"><%= product.getName() %></a>
      </ora:loop>
    </ul>

    <jsp:useBean 
      id="cart"
      scope="session"
      class="com.ora.jsp.beans.shopping.CartBean"
    />

    <%-- Show the contents of the shopping cart, if any --%>
    <%
       if (!cart.isEmpty()) {
         NumberFormat numFormat = NumberFormat.getCurrencyInstance();
    %>
         Your shopping cart contains the following items:
         <p>
         <table border=0>
           <ora:loop name="cart" 
             property="products" 
             loopId="product"
             className="com.ora.jsp.beans.shopping.ProductBean">
             <tr>
               <td><%= product.getName() %></td>
               <td><%= numFormat.format(product.getPrice()) %></td>
             </tr>
           </ora:loop>

           <tr><td colspan=2><hr></td></tr>
           <tr>
             <td><b>Total:</b></td>
             <td><%= numFormat.format(cart.getTotal()) %></td></tr>
        </table>
    <% } %>

  </body>
</html>
